<?php
/**
 * Clase Base Bean para BaseCrCreditoCronoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCreditoCronoBN
 * @author     Willy
 * @version    SVN:: BaseCrCreditoCronoBN.class.php,v 1.1 2013-01-04 11:12:50 william.taype Exp $
 */
abstract class BaseCrCreditoCronoBN
{
  protected $Idcreditocrono;
  protected $Fechainicio;
  protected $Fechavencimiento;
  protected $Montocapital;
  protected $Montointeres;
  protected $Porcinteresmensual;
  protected $Porcinteresdiariomora;
  protected $Fechacancelacion;
  protected $Usuariocancelacion;
  protected $Numeromeses;
  protected $Observacion;
  protected $Tipocredito;
  protected $Estado;
  protected $Origen;
  protected $Saldocredito;
  protected $Morareal;
  protected $Moraamortizada;
  protected $Montototal;
  protected $Creditoreferencia;
  protected $Montoextra;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Fechacreacion;
  protected $Usuariocreacion;
  protected $Idcliente;
  protected $Juicioreferencia;
  protected $Flagjuicio;
  protected $Fechajuicio;
  protected $Usuariojuicio;
  protected $Idcolaborador;
  protected $Periodopago;
  protected $Fechatrx;
  protected $Moneda;
  protected $Flagpagoanticipado;
  protected $Fechapagoanticipado;
  protected $Usuariopagoanticipado;
  protected $Mensaje;
  protected $Error;

  public function getIdcreditocrono(){
    return $this->Idcreditocrono;
  }
  public function setIdcreditocrono($v1){
    $this->Idcreditocrono = $v1; 
  }

  public function getFechainicio(){
    return $this->Fechainicio;
  }
  public function setFechainicio($v1){
    $this->Fechainicio = $v1; 
  }

  public function getFechavencimiento(){
    return $this->Fechavencimiento;
  }
  public function setFechavencimiento($v1){
    $this->Fechavencimiento = $v1; 
  }

  public function getMontocapital(){
    return $this->Montocapital;
  }
  public function setMontocapital($v1){
    $this->Montocapital = $v1; 
  }
  
  public function getGastoAdministrativo(){
    return $this->GastoAdministrativo;
  }
  public function setGastoAdministrativo($v1){
    $this->GastoAdministrativo = $v1; 
  }

  public function getMontointeres(){
    return $this->Montointeres;
  }
  public function setMontointeres($v1){
    $this->Montointeres = $v1; 
  }

  public function getPorcinteresmensual(){
    return $this->Porcinteresmensual;
  }
  public function setPorcinteresmensual($v1){
    $this->Porcinteresmensual = $v1; 
  }

  public function getPorcinteresdiariomora(){
    return $this->Porcinteresdiariomora;
  }
  public function setPorcinteresdiariomora($v1){
    $this->Porcinteresdiariomora = $v1; 
  }

  public function getFechacancelacion(){
    return $this->Fechacancelacion;
  }
  public function setFechacancelacion($v1){
    $this->Fechacancelacion = $v1; 
  }

  public function getUsuariocancelacion(){
    return $this->Usuariocancelacion;
  }
  public function setUsuariocancelacion($v1){
    $this->Usuariocancelacion = $v1; 
  }
  
  public function getDuracion(){
    return $this->duracion;
  }
  public function setDuracion($v1){
    $this->duracion = $v1; 
  }

  public function getNumeromeses(){
    return $this->Numeromeses;
  }
  public function setNumeromeses($v1){
    $this->Numeromeses = $v1; 
  }

  public function getObservacion(){
    return $this->Observacion;
  }
  public function setObservacion($v1){
    $this->Observacion = $v1; 
  }

  public function getTipocredito(){
    return $this->Tipocredito;
  }
  public function setTipocredito($v1){
    $this->Tipocredito = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getOrigen(){
    return $this->Origen;
  }
  public function setOrigen($v1){
    $this->Origen = $v1; 
  }

  public function getSaldocredito(){
    return $this->Saldocredito;
  }
  public function setSaldocredito($v1){
    $this->Saldocredito = $v1; 
  }

  public function getMorareal(){
    return $this->Morareal;
  }
  public function setMorareal($v1){
    $this->Morareal = $v1; 
  }

  public function getMoraamortizada(){
    return $this->Moraamortizada;
  }
  public function setMoraamortizada($v1){
    $this->Moraamortizada = $v1; 
  }

  public function getMontototal(){
    return $this->Montototal;
  }
  public function setMontototal($v1){
    $this->Montototal = $v1; 
  }
  
  public function getDescuento(){
    return $this->Descuento;
  }
  public function setDescuento($v1){
    $this->Descuento = $v1; 
  }

  public function getCreditoreferencia(){
    return $this->Creditoreferencia;
  }
  public function setCreditoreferencia($v1){
    $this->Creditoreferencia = $v1; 
  }

  public function getMontoextra(){
    return $this->Montoextra;
  }
  public function setMontoextra($v1){
    $this->Montoextra = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getIdcliente(){
    return $this->Idcliente;
  }
  public function setIdcliente($v1){
    $this->Idcliente = $v1; 
  }
  
  public function getGarante(){
    return $this->Garante;
  }
  public function setGarante($v){
    $this->Garante = $v;
  }
  public function getDireccionGarante(){
    return $this->DireccionGarante;
  }
  public function setDireccionGarante($v){
    $this->DireccionGarante = $v;
  }
  public function getTelefonoGarante(){
    return $this->TelefonoGarante;
  }
  public function setTelefonoGarante($v){
    $this->TelefonoGarante = $v;
  }

  public function getJuicioreferencia(){
    return $this->Juicioreferencia;
  }
  public function setJuicioreferencia($v1){
    $this->Juicioreferencia = $v1; 
  }

  public function getFlagjuicio(){
    return $this->Flagjuicio;
  }
  public function setFlagjuicio($v1){
    $this->Flagjuicio = $v1; 
  }

  public function getFechajuicio(){
    return $this->Fechajuicio;
  }
  public function setFechajuicio($v1){
    $this->Fechajuicio = $v1; 
  }

  public function getUsuariojuicio(){
    return $this->Usuariojuicio;
  }
  public function setUsuariojuicio($v1){
    $this->Usuariojuicio = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }
  
  public function getIdcolaboradores(){
    return $this->Idcolaboradores;
  }
  public function setIdcolaboradores($v1){
    $this->Idcolaboradores = $v1; 
  }


  public function getPeriodopago(){
    return $this->Periodopago;
  }
  public function setPeriodopago($v1){
    $this->Periodopago = $v1; 
  }

  public function getFechatrx(){
    return $this->Fechatrx;
  }
  public function setFechatrx($v1){
    $this->Fechatrx = $v1; 
  }

  public function getMoneda(){
    return $this->Moneda;
  }
  public function setMoneda($v1){
    $this->Moneda = $v1; 
  }

  public function getFlagpagoanticipado(){
    return $this->Flagpagoanticipado;
  }
  public function setFlagpagoanticipado($v1){
    $this->Flagpagoanticipado = $v1; 
  }

  public function getFechapagoanticipado(){
    return $this->Fechapagoanticipado;
  }
  public function setFechapagoanticipado($v1){
    $this->Fechapagoanticipado = $v1; 
  }

  public function getUsuariopagoanticipado(){
    return $this->Usuariopagoanticipado;
  }
  public function setUsuariopagoanticipado($v1){
    $this->Usuariopagoanticipado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_credito_cronoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_credito_cronoRs )
  {
    $o_CrCreditoCronoBN = new CrCreditoCronoBN();
    $o_CrCreditoCronoBN->setIdcreditocrono( $o_Cr_credito_cronoRs['idcreditocrono'] );
    $o_CrCreditoCronoBN->setFechainicio( $o_Cr_credito_cronoRs['fechainicio'] );
    $o_CrCreditoCronoBN->setFechavencimiento( $o_Cr_credito_cronoRs['fechavencimiento'] );
    $o_CrCreditoCronoBN->setMontocapital( $o_Cr_credito_cronoRs['montocapital'] );
    $o_CrCreditoCronoBN->setMontointeres( $o_Cr_credito_cronoRs['montointeres'] );
    $o_CrCreditoCronoBN->setPorcinteresmensual( $o_Cr_credito_cronoRs['porcinteresmensual'] );
    $o_CrCreditoCronoBN->setPorcinteresdiariomora( $o_Cr_credito_cronoRs['porcinteresdiariomora'] );
    $o_CrCreditoCronoBN->setFechacancelacion( $o_Cr_credito_cronoRs['fechacancelacion'] );
    $o_CrCreditoCronoBN->setUsuariocancelacion( $o_Cr_credito_cronoRs['usuariocancelacion'] );
    $o_CrCreditoCronoBN->setNumeromeses( $o_Cr_credito_cronoRs['numeromeses'] );
    $o_CrCreditoCronoBN->setObservacion( $o_Cr_credito_cronoRs['observacion'] );
    $o_CrCreditoCronoBN->setTipocredito( $o_Cr_credito_cronoRs['tipocredito'] );
    $o_CrCreditoCronoBN->setEstado( $o_Cr_credito_cronoRs['estado'] );
    $o_CrCreditoCronoBN->setOrigen( $o_Cr_credito_cronoRs['origen'] );
    $o_CrCreditoCronoBN->setSaldocredito( $o_Cr_credito_cronoRs['saldocredito'] );
    $o_CrCreditoCronoBN->setMorareal( $o_Cr_credito_cronoRs['morareal'] );
    $o_CrCreditoCronoBN->setMoraamortizada( $o_Cr_credito_cronoRs['moraamortizada'] );
    $o_CrCreditoCronoBN->setMontototal( $o_Cr_credito_cronoRs['montototal'] );
    $o_CrCreditoCronoBN->setCreditoreferencia( $o_Cr_credito_cronoRs['creditoreferencia'] );
    $o_CrCreditoCronoBN->setMontoextra( $o_Cr_credito_cronoRs['montoextra'] );
    $o_CrCreditoCronoBN->setEliminado( $o_Cr_credito_cronoRs['eliminado'] );
    $o_CrCreditoCronoBN->setFechaeliminado( $o_Cr_credito_cronoRs['fechaeliminado'] );
    $o_CrCreditoCronoBN->setUsuarioeliminado( $o_Cr_credito_cronoRs['usuarioeliminado'] );
    $o_CrCreditoCronoBN->setFechacreacion( $o_Cr_credito_cronoRs['fechacreacion'] );
    $o_CrCreditoCronoBN->setUsuariocreacion( $o_Cr_credito_cronoRs['usuariocreacion'] );
    $o_CrCreditoCronoBN->setIdcliente( $o_Cr_credito_cronoRs['idcliente'] );
    $o_CrCreditoCronoBN->setJuicioreferencia( $o_Cr_credito_cronoRs['juicioreferencia'] );
    $o_CrCreditoCronoBN->setFlagjuicio( $o_Cr_credito_cronoRs['flagjuicio'] );
    $o_CrCreditoCronoBN->setFechajuicio( $o_Cr_credito_cronoRs['fechajuicio'] );
    $o_CrCreditoCronoBN->setUsuariojuicio( $o_Cr_credito_cronoRs['usuariojuicio'] );
    $o_CrCreditoCronoBN->setIdcolaborador( $o_Cr_credito_cronoRs['idcolaborador'] );
    $o_CrCreditoCronoBN->setPeriodopago( $o_Cr_credito_cronoRs['periodopago'] );
    $o_CrCreditoCronoBN->setFechatrx( $o_Cr_credito_cronoRs['fechatrx'] );
    $o_CrCreditoCronoBN->setMoneda( $o_Cr_credito_cronoRs['moneda'] );
    $o_CrCreditoCronoBN->setFlagpagoanticipado( $o_Cr_credito_cronoRs['flagpagoanticipado'] );
    $o_CrCreditoCronoBN->setFechapagoanticipado( $o_Cr_credito_cronoRs['fechapagoanticipado'] );
    $o_CrCreditoCronoBN->setUsuariopagoanticipado( $o_Cr_credito_cronoRs['usuariopagoanticipado'] );
    return $o_CrCreditoCronoBN;
  }
}